/**
 * @copyright Sister Software. All rights reserved.
 * @author Teffen Ellis, et al.
 * @license
 * See LICENSE file in the project root for full license information.
 */
import ts from 'typescript'
import { PathRewriterFn, PathRewriterRecord } from './common.mjs'
/**
 * @internal
 */
export declare function pluckDeclarationSpecifier(
  node: ts.ImportDeclaration | ts.ExportDeclaration,
  sourceFile: ts.SourceFile
): string
/**
 * @internal
 */
export declare function importExportVisitor(
  ctx: ts.TransformationContext,
  sourceFile: ts.SourceFile,
  rewriter: PathRewriterFn | PathRewriterRecord
): ts.Visitor<ts.Node, ts.Node>
